EDIT - bug #7746

NPE when deleting volatile DescriptionBase
09/10/2018 05:07 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

In Facts View, when | tried to delete a volatile (not yet persisted) description | got the following exception

login : admin
editor version : 5.3.0.201809061148
server : test.e-taxonomy.eu (edit-test) / cyprus
schema version : 5.0.0.0.20180514
os : Windows Server 2012 R2 6.3 amdo64
java : 1.8.0_121
org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.NullPointerException)

at org.eclipse.swt.SWT.error (SWT. java:4533)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display. java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.api.service.DescriptionServiceImpl.deleteDescription (DescriptionServicelImp
1.java:493)

at eu.etaxonomy.cdm.api.service.DescriptionServiceImpl.deleteDescription (DescriptionServiceImp
1.java:528)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

04/23/2024 1/4




at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.SProxy5512.deleteDescription (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (RemoteInvocati
onTraceInterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy5777.deleteDescription (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemotelIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)
at org.springframework

.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte

r (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework
oxy.java:330)

at org.springframework
AwareFilter. java:48)

at org.springframework
oxy.java:330)

at org.springframework

.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter

nal (BasicAuthenticationFilter. java:213)

at org.springframework

at org.springframework.

oxy.java:330)

at org.springframework.

ava:120)

at org.springframework.

oxy.java:330)

at org.springframework.

ter.java:64)

at org.springframework.
at org.springframework.

oxy.java:330)

at org.springframework.

.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.context.SecurityContextPersistenceFilter.doFilter (Security

ContextPersistenceFilter. java:91)

at org.springframework
oxy.java:330)
at org.springframework

.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF

ilterInternal (WebAsyncManagerIntegrationFilter.java:53)

at org.springframework

at org.springframework.

oxy.Jjava:330)

at org.springframework.

3)

at org.springframework.

at org.springframework.
ava:346)

at org.springframework
2)

.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. j

.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1652)

at org.springframework
lter.java:121)
at org.springframework

.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)
at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j

ava:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)
at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:748)

at org.springframework

.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible

(RemoteInvocationUtils.java:45)

at org.springframework
.java:149)
at org.springframework
.remoting.support.RemoteInvocationResult.recreate (RemotelInvocationResult

.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation
Result (RemoteInvocationBasedAccessor. java:85)
at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:150)
at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)
at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyl0Ol.deleteDescription (Unknown Source)

at eu.etaxonomy.taxeditor.editor.view.descriptive.operation.DeleteTaxonDescriptionOperation.ex

ecute (DeleteTaxonDescriptionOperation. java:67)
at eu.etaxonomy.taxeditor.model.AbstractUtility.lambda$3 (AbstractUtility.java:141)

at org.
at org.
at org.
at org.

23

eclipse
eclipse
eclipse
eclipse
more

.ui.internal.
.ui.internal.
.swt.widgets.
.swt.widgets.

UILockListener.doPendingWork (UILockListener. java:162)
UISynchronizer$3.run (UISynchronizer. java:154)
RunnablelLock.run (RunnableLock. java:35)
Synchronizer.runAsyncMessages (Synchronizer. java:182)

Related issues:
Related to EDIT - bug #3276: NPE for "Move Elements" context menu option Closed

History

#1 - 09/20/2018 11:38 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.4

#2 - 10/23/2018 10:42 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#3 - 02/05/2019 01:38 PM - Katja Luther

- Related to bug #3276: NPE for "Move Elements" context menu option added

#4 - 02/05/2019 01:39 PM - Katja Luther

- Status changed from New to Closed

this was fixed with #3276

04/23/2024

/4



https://dev.e-taxonomy.eu/redmine/issues/3276
http://www.tcpdf.org

